diff runscimark.sh @ 2553:b21123d5a693

test scripts: use JDK7 env var, check all required vars
author Lukas Stadler <lukas.stadler@jku.at>
date Thu, 28 Apr 2011 13:17:23 +0200
parents 8d88c9ac9247
children 092e628ddd5d
line wrap: on
line diff
--- a/runscimark.sh	Thu Apr 28 10:40:49 2011 +0200
+++ b/runscimark.sh	Thu Apr 28 13:17:23 2011 +0200
@@ -7,6 +7,10 @@
   echo "MAXINE is not defined. It must point to a maxine repository directory."
   exit 1;
 fi
+if [ -z "${GRAAL}" ]; then
+  echo "GRAAL is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
 if [ -z "${SCIMARK}" ]; then
   echo "SCIMARK is not defined. It must point to a SciMark benchmark directory."
   exit 1;